Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_ar4_param.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_ar4_param.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_ar4_param.F90	(revision 5117)
@@ -12,8 +12,8 @@
  REAL(KIND=8), parameter :: RTUMG = 240.0
 
- REAL(KIND=8), dimension(2), parameter :: WG1 = (/1.0, 1.0/)
- REAL(KIND=8), dimension(11), parameter :: TINTP = (/ 187.5, 200., 212.5, 225., 237.5, 250., 262.5, 275., 287.5, 300., 312.5 /)
-
- real(kind=8), dimension(11,16,3), parameter :: GA = reshape ( (/ &
+ REAL(KIND=8), DIMENSION(2), parameter :: WG1 = (/1.0, 1.0/)
+ REAL(KIND=8), DIMENSION(11), parameter :: TINTP = (/ 187.5, 200., 212.5, 225., 237.5, 250., 262.5, 275., 287.5, 300., 312.5 /)
+
+ real(kind=8), DIMENSION(11,16,3), parameter :: GA = reshape ( (/ &
  0.63499072E-02, 0.65566348E-02, 0.67849730E-02, 0.70481947E-02, 0.73585943E-02, 0.77242818E-02, 0.81472693E-02, 0.86227527E-02,&
  0.91396814E-02, 0.96825438E-02, 0.10233955E-01, 0.77266491E-02, 0.81323287E-02, 0.86507620E-02, 0.92776391E-02, 0.99806312E-02,&
@@ -84,5 +84,5 @@
  , (/ 11,16,3 /) )
 
- real(kind=8), dimension(11,16,3), parameter :: GB = reshape ( (/ &
+ real(kind=8), DIMENSION(11,16,3), parameter :: GB = reshape ( (/ &
  0.63499072E-02, 0.65566348E-02, 0.67849730E-02, 0.70481947E-02, 0.73585943E-02, 0.77242818E-02, 0.81472693E-02, 0.86227527E-02,&
  0.91396814E-02, 0.96825438E-02, 0.10233955E-01, 0.77266491E-02, 0.81323287E-02, 0.86507620E-02, 0.92776391E-02, 0.99806312E-02,&
@@ -153,5 +153,5 @@
   , (/ 11,16,3 /) )
 
-      real(kind=8), dimension(6,6), parameter :: XP = reshape ( (/  &
+      real(kind=8), DIMENSION(6,6), parameter :: XP = reshape ( (/  &
       0.46430621E+02,  0.12928299E+03,  0.20732648E+03,  0.31398411E+03,  0.18373177E+03, -0.11412303E+03, &
       0.73604774E+02,  0.27887914E+03,  0.27076947E+03, -0.57322111E+02, -0.64742459E+02,  0.87238280E+02, &
@@ -162,6 +162,6 @@
 
 ! If running with Reporbus type_trac=repr, values of RSUN might be overritten in radiation_AR4
-      REAL(KIND=8), dimension(2) :: RSUN = (/ 0.441676 , 0.558324 /)
-      REAL(KIND=8), dimension(2,6), parameter :: RRAY = reshape ( &
+      REAL(KIND=8), DIMENSION(2) :: RSUN = (/ 0.441676 , 0.558324 /)
+      REAL(KIND=8), DIMENSION(2,6), parameter :: RRAY = reshape ( &
          (/ .428937E-01, .697200E-02,&
             .890743E+00, .173297E-01,&
@@ -171,15 +171,15 @@
             .161645E+01, .129662E+00 /) , (/2,6/) )
 
-      REAL(KIND=8), dimension(2,5), parameter :: TAUA = reshape ( &
+      REAL(KIND=8), DIMENSION(2,5), parameter :: TAUA = reshape ( &
       (/ 0.730719, 0.730719, 0.912819, 0.912819, 0.725059, &
          0.725059, 0.745405, 0.745405, 0.682188, 0.682188 /),(/2,5/) )
-      REAL(KIND=8), dimension(2,5), parameter :: RPIZA = reshape ( &
+      REAL(KIND=8), DIMENSION(2,5), parameter :: RPIZA = reshape ( &
       (/ 0.872212, 0.872212, 0.982545, 0.982545, 0.623143,   &
          0.623143, 0.944887, 0.944887, 0.997975, 0.997975 /),(/2,5/) )
-      REAL(KIND=8), dimension(2,5), parameter :: RCGA = reshape (  &
+      REAL(KIND=8), DIMENSION(2,5), parameter :: RCGA = reshape (  &
       (/ 0.647596, 0.647596, 0.739002, 0.739002, 0.580845,   &
          0.580845, 0.662657, 0.662657, 0.624246, 0.624246 /),(/2,5/) )
 
-      REAL(KIND=8), dimension(2,3,7), parameter :: APAD = reshape (  &
+      REAL(KIND=8), DIMENSION(2,3,7), parameter :: APAD = reshape (  &
           (/ 0.912418292E+05, 0.376655383E-08, 0.000000000E-00,&
              0.739646016E-08, 0.925887084E-04, 0.410177786E+03,&
@@ -196,5 +196,5 @@
              0.000000000E-00, 0.000000000E+00, 0.000000000E-00,&
              0.000000000E+00, 0.000000000E+00, 0.000000000E+00 /) , (/2,3,7/) )
-      REAL(KIND=8), dimension(2,3,7), parameter :: BPAD = reshape (  &
+      REAL(KIND=8), DIMENSION(2,3,7), parameter :: BPAD = reshape (  &
           (/ 0.912418292E+05, 0.376655383E-08, 0.000000000E-00,&
              0.739646016E-08, 0.925887084E-04, 0.410177786E+03,&
@@ -211,10 +211,10 @@
              0.000000000E-00, 0.100000000E+01, 0.000000000E-00,&
              0.100000000E+01, 0.100000000E+01, 0.000000000E+00 /) , (/2,3,7/) )
-      REAL(KIND=8), dimension(2,3), parameter :: D = reshape ( &
+      REAL(KIND=8), DIMENSION(2,3), parameter :: D = reshape ( &
        (/ 0.0, 0.0, 0.0, 0.0, 0.0, 0.8 /) , (/2,3/) )
 
       REAL(KIND=8), parameter :: TREF = 250.0
-      REAL(KIND=8), dimension(2), parameter :: RT1 = (/ -0.577350269, +0.577350269 /)
-      REAL(KIND=8), dimension(5,5), parameter :: RAER= reshape ( &
+      REAL(KIND=8), DIMENSION(2), parameter :: RT1 = (/ -0.577350269, +0.577350269 /)
+      REAL(KIND=8), DIMENSION(5,5), parameter :: RAER= reshape ( &
         (/ .038520, .037196, .040532, .054934, .038520 &
          , .12613 , .18313 , .10357 , .064106, .126130 &
@@ -223,5 +223,5 @@
          , .013792, .026810, .052203, .066338, .013792 /) , (/5,5/) )
 
-      REAL(KIND=8), dimension(8,3), parameter :: AT= reshape ( &
+      REAL(KIND=8), DIMENSION(8,3), parameter :: AT= reshape ( &
        (/ 0.298199E-02,0.143676E-01,0.197861E-01,0.289560E-01,&
           0.103800E-01,0.868859E-02,0.250073E-03,0.307423E-01,&
@@ -231,5 +231,5 @@
           -.161431E-02,0.000000E-00,0.109242E-03,-.322172E-03 /) , (/8,3/) )
 
-      REAL(KIND=8), dimension(8,3), parameter :: BT= reshape ( &
+      REAL(KIND=8), DIMENSION(8,3), parameter :: BT= reshape ( &
        (/ -0.106432E-04,-0.553979E-04,-0.877012E-04,-0.165960E-03,&
           -0.276744E-04,-0.278412E-04, 0.199846E-05,-0.108482E-03,&
@@ -239,5 +239,5 @@
            0.127646E-04 ,0.117469E-05, 0.175991E-06,-0.814575E-06 /) , (/8,3/) )
 
-      REAL(KIND=8), dimension(4), parameter :: OCT = (/ -.326E-03, -.102E-05, .137E-02, -.535E-05 /)
+      REAL(KIND=8), DIMENSION(4), parameter :: OCT = (/ -.326E-03, -.102E-05, .137E-02, -.535E-05 /)
 
  end module radiation_AR4_param
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5117)
@@ -195,35 +195,35 @@
 
     ! Input arguments
-    REAL, INTENT(in) :: dist
-    REAL, INTENT(in) :: rmu0(KLON), fract(KLON)
-    REAL, INTENT(in) :: paprs(KLON, KLEV + 1), pplay(KLON, KLEV)
+    REAL, INTENT(IN) :: dist
+    REAL, INTENT(IN) :: rmu0(KLON), fract(KLON)
+    REAL, INTENT(IN) :: paprs(KLON, KLEV + 1), pplay(KLON, KLEV)
     !albedo SB >>>
-    ! REAL,    INTENT(in)  :: alb1(KLON), alb2(KLON), tsol(KLON)
-    REAL, INTENT(in) :: tsol(KLON)
-    REAL, INTENT(in) :: alb_dir(KLON, NSW), alb_dif(KLON, NSW)
-    REAL, INTENT(in) :: SFRWL(6)
+    ! REAL,    INTENT(IN)  :: alb1(KLON), alb2(KLON), tsol(KLON)
+    REAL, INTENT(IN) :: tsol(KLON)
+    REAL, INTENT(IN) :: alb_dir(KLON, NSW), alb_dif(KLON, NSW)
+    REAL, INTENT(IN) :: SFRWL(6)
     !albedo SB <<<
-    REAL, INTENT(in) :: t(KLON, KLEV), q(KLON, KLEV)
-
-    REAL, INTENT(in) :: wo(:, :, :) ! dimension(KLON,KLEV, 1 or 2)
+    REAL, INTENT(IN) :: t(KLON, KLEV), q(KLON, KLEV)
+
+    REAL, INTENT(IN) :: wo(:, :, :) ! DIMENSION(KLON,KLEV, 1 or 2)
     ! column-density of ozone in a layer, in kilo-Dobsons
     ! "wo(:, :, 1)" is for the average day-night field, 
     ! "wo(:, :, 2)" is for daylight time.
 
-    LOGICAL, INTENT(in) :: ok_ade, ok_aie                                 ! switches whether to use aerosol direct (indirect) effects or not
-    LOGICAL, INTENT(in) :: ok_volcan                                      ! produce volcanic diags (SW/LW heat flux and rate)
-    INTEGER, INTENT(in) :: flag_volc_surfstrat                            ! allow to impose volcanic cooling rate at surf or heating in strato
+    LOGICAL, INTENT(IN) :: ok_ade, ok_aie                                 ! switches whether to use aerosol direct (indirect) effects or not
+    LOGICAL, INTENT(IN) :: ok_volcan                                      ! produce volcanic diags (SW/LW heat flux and rate)
+    INTEGER, INTENT(IN) :: flag_volc_surfstrat                            ! allow to impose volcanic cooling rate at surf or heating in strato
     LOGICAL :: lldebug = .FALSE.
-    INTEGER, INTENT(in) :: flag_aerosol                                   ! takes value 0 (no aerosol) or 1 to 6 (aerosols)
-    INTEGER, INTENT(in) :: flag_aerosol_strat                             ! use stratospheric aerosols
-    LOGICAL, INTENT(in) :: flag_aer_feedback                              ! activate aerosol radiative feedback
-    REAL, INTENT(in) :: cldfra(KLON, KLEV), cldemi(KLON, KLEV), cldtaupd(KLON, KLEV)
-    REAL, INTENT(in) :: tau_aero(KLON, KLEV, naero_grp, 2)                        ! aerosol optical properties (see aeropt.F)
-    REAL, INTENT(in) :: piz_aero(KLON, KLEV, naero_grp, 2)                        ! aerosol optical properties (see aeropt.F)
-    REAL, INTENT(in) :: cg_aero(KLON, KLEV, naero_grp, 2)                         ! aerosol optical properties (see aeropt.F)
+    INTEGER, INTENT(IN) :: flag_aerosol                                   ! takes value 0 (no aerosol) or 1 to 6 (aerosols)
+    INTEGER, INTENT(IN) :: flag_aerosol_strat                             ! use stratospheric aerosols
+    LOGICAL, INTENT(IN) :: flag_aer_feedback                              ! activate aerosol radiative feedback
+    REAL, INTENT(IN) :: cldfra(KLON, KLEV), cldemi(KLON, KLEV), cldtaupd(KLON, KLEV)
+    REAL, INTENT(IN) :: tau_aero(KLON, KLEV, naero_grp, 2)                        ! aerosol optical properties (see aeropt.F)
+    REAL, INTENT(IN) :: piz_aero(KLON, KLEV, naero_grp, 2)                        ! aerosol optical properties (see aeropt.F)
+    REAL, INTENT(IN) :: cg_aero(KLON, KLEV, naero_grp, 2)                         ! aerosol optical properties (see aeropt.F)
     !--OB
-    REAL, INTENT(in) :: tau_aero_sw_rrtm(KLON, KLEV, 2, NSW)                 ! aerosol optical properties RRTM
-    REAL, INTENT(in) :: piz_aero_sw_rrtm(KLON, KLEV, 2, NSW)                 ! aerosol optical properties RRTM
-    REAL, INTENT(in) :: cg_aero_sw_rrtm(KLON, KLEV, 2, NSW)                  ! aerosol optical properties RRTM
+    REAL, INTENT(IN) :: tau_aero_sw_rrtm(KLON, KLEV, 2, NSW)                 ! aerosol optical properties RRTM
+    REAL, INTENT(IN) :: piz_aero_sw_rrtm(KLON, KLEV, 2, NSW)                 ! aerosol optical properties RRTM
+    REAL, INTENT(IN) :: cg_aero_sw_rrtm(KLON, KLEV, 2, NSW)                  ! aerosol optical properties RRTM
     ! AI
     !--OB fin
@@ -231,51 +231,51 @@
     !--C. Kleinschmitt
 #ifdef CPP_RRTM
-    REAL,    INTENT(in)  :: tau_aero_lw_rrtm(KLON,KLEV,2,NLW)                 ! LW aerosol optical properties RRTM
+    REAL,    INTENT(IN)  :: tau_aero_lw_rrtm(KLON,KLEV,2,NLW)                 ! LW aerosol optical properties RRTM
 #else
-    REAL, INTENT(in) :: tau_aero_lw_rrtm(KLON, KLEV, 2, nbands_lw_rrtm)
+    REAL, INTENT(IN) :: tau_aero_lw_rrtm(KLON, KLEV, 2, nbands_lw_rrtm)
 #endif
     !--C. Kleinschmitt end
 
-    REAL, INTENT(in) :: cldtaupi(KLON, KLEV)                            ! cloud optical thickness for pre-industrial aerosol concentrations
-    REAL, INTENT(in) :: qsat(klon, klev) ! Variable pour iflag_rrtm=1
-    REAL, INTENT(in) :: flwc(klon, klev) ! Variable pour iflag_rrtm=1
-    REAL, INTENT(in) :: fiwc(klon, klev) ! Variable pour iflag_rrtm=1
-    REAL, INTENT(in) :: ref_liq(klon, klev) ! cloud droplet radius present-day from newmicro
-    REAL, INTENT(in) :: ref_ice(klon, klev) ! ice crystal radius   present-day from newmicro
-    REAL, INTENT(in) :: ref_liq_pi(klon, klev) ! cloud droplet radius pre-industrial from newmicro
-    REAL, INTENT(in) :: ref_ice_pi(klon, klev) ! ice crystal radius   pre-industrial from newmicro
-    REAL, INTENT(in) :: m_allaer(klon, klev, naero_tot) ! mass aero
-
-    CHARACTER(len = 512), INTENT(in) :: namelist_ecrad_file
-    LOGICAL, INTENT(in) :: debut
+    REAL, INTENT(IN) :: cldtaupi(KLON, KLEV)                            ! cloud optical thickness for pre-industrial aerosol concentrations
+    REAL, INTENT(IN) :: qsat(klon, klev) ! Variable pour iflag_rrtm=1
+    REAL, INTENT(IN) :: flwc(klon, klev) ! Variable pour iflag_rrtm=1
+    REAL, INTENT(IN) :: fiwc(klon, klev) ! Variable pour iflag_rrtm=1
+    REAL, INTENT(IN) :: ref_liq(klon, klev) ! cloud droplet radius present-day from newmicro
+    REAL, INTENT(IN) :: ref_ice(klon, klev) ! ice crystal radius   present-day from newmicro
+    REAL, INTENT(IN) :: ref_liq_pi(klon, klev) ! cloud droplet radius pre-industrial from newmicro
+    REAL, INTENT(IN) :: ref_ice_pi(klon, klev) ! ice crystal radius   pre-industrial from newmicro
+    REAL, INTENT(IN) :: m_allaer(klon, klev, naero_tot) ! mass aero
+
+    CHARACTER(len = 512), INTENT(IN) :: namelist_ecrad_file
+    LOGICAL, INTENT(IN) :: debut
 
     ! Output arguments
-    REAL, INTENT(out) :: heat(KLON, KLEV), cool(KLON, KLEV)
-    REAL, INTENT(out) :: heat0(KLON, KLEV), cool0(KLON, KLEV)
-    REAL, INTENT(out) :: heat_volc(KLON, KLEV), cool_volc(KLON, KLEV) !NL
-    REAL, INTENT(out) :: topsw(KLON), toplw(KLON)
-    REAL, INTENT(out) :: solsw(KLON), sollw(KLON), albpla(KLON), solswfdiff(KLON)
-    REAL, INTENT(out) :: topsw0(KLON), toplw0(KLON), solsw0(KLON), sollw0(KLON)
-    REAL, INTENT(out) :: sollwdown(KLON)
-    REAL, INTENT(out) :: swdn(KLON, kflev + 1), swdn0(KLON, kflev + 1), swdnc0(KLON, kflev + 1)
-    REAL, INTENT(out) :: swup(KLON, kflev + 1), swup0(KLON, kflev + 1), swupc0(KLON, kflev + 1)
-    REAL, INTENT(out) :: lwdn(KLON, kflev + 1), lwdn0(KLON, kflev + 1), lwdnc0(KLON, kflev + 1)
-    REAL, INTENT(out) :: lwup(KLON, kflev + 1), lwup0(KLON, kflev + 1), lwupc0(KLON, kflev + 1)
-    REAL, INTENT(out) :: topswad_aero(KLON), solswad_aero(KLON)         ! output: aerosol direct forcing at TOA and surface
-    REAL, INTENT(out) :: topswai_aero(KLON), solswai_aero(KLON)         ! output: aerosol indirect forcing atTOA and surface
-    REAL, INTENT(out) :: toplwad_aero(KLON), sollwad_aero(KLON)         ! output: LW aerosol direct forcing at TOA and surface
-    REAL, INTENT(out) :: toplwai_aero(KLON), sollwai_aero(KLON)         ! output: LW aerosol indirect forcing atTOA and surface
-    REAL, DIMENSION(klon), INTENT(out) :: topswad0_aero
-    REAL, DIMENSION(klon), INTENT(out) :: solswad0_aero
-    REAL, DIMENSION(klon), INTENT(out) :: toplwad0_aero
-    REAL, DIMENSION(klon), INTENT(out) :: sollwad0_aero
-    REAL, DIMENSION(kdlon, 9), INTENT(out) :: topsw_aero
-    REAL, DIMENSION(kdlon, 9), INTENT(out) :: topsw0_aero
-    REAL, DIMENSION(kdlon, 9), INTENT(out) :: solsw_aero
-    REAL, DIMENSION(kdlon, 9), INTENT(out) :: solsw0_aero
-    REAL, DIMENSION(kdlon, 3), INTENT(out) :: topswcf_aero
-    REAL, DIMENSION(kdlon, 3), INTENT(out) :: solswcf_aero
-    REAL, DIMENSION(kdlon, kflev + 1), INTENT(out) :: ZSWFT0_i
-    REAL, DIMENSION(kdlon, kflev + 1), INTENT(out) :: ZLWFT0_i
+    REAL, INTENT(OUT) :: heat(KLON, KLEV), cool(KLON, KLEV)
+    REAL, INTENT(OUT) :: heat0(KLON, KLEV), cool0(KLON, KLEV)
+    REAL, INTENT(OUT) :: heat_volc(KLON, KLEV), cool_volc(KLON, KLEV) !NL
+    REAL, INTENT(OUT) :: topsw(KLON), toplw(KLON)
+    REAL, INTENT(OUT) :: solsw(KLON), sollw(KLON), albpla(KLON), solswfdiff(KLON)
+    REAL, INTENT(OUT) :: topsw0(KLON), toplw0(KLON), solsw0(KLON), sollw0(KLON)
+    REAL, INTENT(OUT) :: sollwdown(KLON)
+    REAL, INTENT(OUT) :: swdn(KLON, kflev + 1), swdn0(KLON, kflev + 1), swdnc0(KLON, kflev + 1)
+    REAL, INTENT(OUT) :: swup(KLON, kflev + 1), swup0(KLON, kflev + 1), swupc0(KLON, kflev + 1)
+    REAL, INTENT(OUT) :: lwdn(KLON, kflev + 1), lwdn0(KLON, kflev + 1), lwdnc0(KLON, kflev + 1)
+    REAL, INTENT(OUT) :: lwup(KLON, kflev + 1), lwup0(KLON, kflev + 1), lwupc0(KLON, kflev + 1)
+    REAL, INTENT(OUT) :: topswad_aero(KLON), solswad_aero(KLON)         ! output: aerosol direct forcing at TOA and surface
+    REAL, INTENT(OUT) :: topswai_aero(KLON), solswai_aero(KLON)         ! output: aerosol indirect forcing atTOA and surface
+    REAL, INTENT(OUT) :: toplwad_aero(KLON), sollwad_aero(KLON)         ! output: LW aerosol direct forcing at TOA and surface
+    REAL, INTENT(OUT) :: toplwai_aero(KLON), sollwai_aero(KLON)         ! output: LW aerosol indirect forcing atTOA and surface
+    REAL, DIMENSION(klon), INTENT(OUT) :: topswad0_aero
+    REAL, DIMENSION(klon), INTENT(OUT) :: solswad0_aero
+    REAL, DIMENSION(klon), INTENT(OUT) :: toplwad0_aero
+    REAL, DIMENSION(klon), INTENT(OUT) :: sollwad0_aero
+    REAL, DIMENSION(kdlon, 9), INTENT(OUT) :: topsw_aero
+    REAL, DIMENSION(kdlon, 9), INTENT(OUT) :: topsw0_aero
+    REAL, DIMENSION(kdlon, 9), INTENT(OUT) :: solsw_aero
+    REAL, DIMENSION(kdlon, 9), INTENT(OUT) :: solsw0_aero
+    REAL, DIMENSION(kdlon, 3), INTENT(OUT) :: topswcf_aero
+    REAL, DIMENSION(kdlon, 3), INTENT(OUT) :: solswcf_aero
+    REAL, DIMENSION(kdlon, kflev + 1), INTENT(OUT) :: ZSWFT0_i
+    REAL, DIMENSION(kdlon, kflev + 1), INTENT(OUT) :: ZLWFT0_i
 
     ! Local variables
@@ -403,5 +403,5 @@
     REAL(KIND = 8) zsolsw_aero(kdlon, 9), zsolsw0_aero(kdlon, 9)
     REAL(KIND = 8) ztopswcf_aero(kdlon, 3), zsolswcf_aero(kdlon, 3)
-    ! real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2 deje declare dans physiq.F MPL 20130618
+    ! REAL, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2 deje declare dans physiq.F MPL 20130618
     !MPL input supplementaires pour RECMWFL
     ! flwc, fiwc = Liquid Water Content & Ice Water Content (kg/kg)
@@ -1316,5 +1316,5 @@
 !!! - Gas en VMR pour offline et MMR pour online
 !!! - on utilise pour solarirrad une valeur constante
-          if (lldebug_for_offline) THEN
+          IF (lldebug_for_offline) THEN
              SOLARIRAD = 1366.0896
              ZCH4_off = CH4_ppb*1e-9
@@ -1354,5 +1354,5 @@
           ! lldebug_for_offline
 
-          if (namelist_ecrad_file.eq.'namelist_ecrad') THEN
+          IF (namelist_ecrad_file.EQ.'namelist_ecrad') THEN
              PRINT*,' 1er apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
                   ok_3Deffect, namelist_ecrad_file    
@@ -1447,5 +1447,5 @@
           print *,'========= RADLWSW: apres RADIATION_SCHEME ==================== '
 
-          if (lldebug_for_offline) THEN
+          IF (lldebug_for_offline) THEN
              CALL writefield_phy('FLUX_LW',ZLWFT_i,klev+1)
              CALL writefield_phy('FLUX_LW_CLEAR',ZLWFT0_ii,klev+1)
@@ -1531,5 +1531,5 @@
              zdir=SUM(PSFSWDIR(i,:))
              zdif=SUM(PSFSWDIF(i,:))
-             IF (fract(i).GT.0.0.and.(zdir+zdif).gt.seuilmach) THEN
+             IF (fract(i).GT.0.0.AND.(zdir+zdif).gt.seuilmach) THEN
                 zsolswfdiff(i) = zdif/(zdir+zdif)
              ELSE  !--night
@@ -1673,5 +1673,5 @@
 
     IF (lldebug) THEN
-      if (0==1) THEN
+      IF (0==1) THEN
         ! Verifs dans le cas 1D
         PRINT*, '================== Sortie de radlw ================='
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ran0_vec.F90	(revision 5117)
@@ -17,9 +17,9 @@
 
   ! do j=1,npoints
-  ! if (idum(j).eq.0) THEN
+  ! if (idum(j).EQ.0) THEN
   ! WRITE(6,*) 'idum=',idum
   ! WRITE(6,*) 'ZERO seed not allowed'
   ! stop
-  ! endif
+  ! END IF
   ! enddo
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_interp.F90	(revision 5117)
@@ -20,5 +20,5 @@
   USE lmdz_write_field_phy
   USE phys_cal_mod
-  USE pres2lev_mod
+  USE lmdz_pres2lev
   USE lmdz_print_control, ONLY: lunout
   USE lmdz_abort_physic, ONLY: abort_physic
@@ -280,5 +280,5 @@
     month_mid(:) = month_start (:) + month_len(:) / 2.
 
-    if (debug) THEN
+    IF (debug) THEN
       WRITE(lunout, *)' month_len = ', month_len
       WRITE(lunout, *)' month_mid = ', month_mid
@@ -335,5 +335,5 @@
       CALL abort_physic('readaerosol_interp', 'number of months undefined', 1)
     ENDIF
-    if (debug) THEN
+    IF (debug) THEN
       WRITE(lunout, *)' jDay, day1, day2, im, im2 = ', jDay, day1, day2, im, im2
     endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5117)
@@ -440,5 +440,5 @@
         !**************************************************************************************************
         ierr = nf90_inq_dimid(ncid, 'TIME', dimid)
-        if (ierr /= nf90_noerr) THEN
+        IF (ierr /= nf90_noerr) THEN
           ierr = nf90_inq_dimid(ncid, 'time_counter', dimid)
         ENDIF
@@ -683,5 +683,5 @@
         CALL xios_send_field("load_" // TRIM(varname) // "_in", load_glo2D)
         CALL xios_recv_field("load_" // TRIM(varname) // "_out", load_out_mpi)
-        IF (.not. allocated(psurf_interp)) THEN
+        IF (.NOT. allocated(psurf_interp)) THEN
           ! psurf_interp is a shared array
           ALLOCATE(psurf_interp(klon_mpi, 12))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5117)
@@ -1,7 +1,7 @@
 SUBROUTINE readaerosolstrato(debut)
 
-  use netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
+  USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, &
           nf95_inq_varid, nf95_open
-  use netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
   USE phys_cal_mod, ONLY: mth_cur
@@ -23,40 +23,40 @@
 
   ! Variable input
-  logical debut
+  LOGICAL debut
 
   ! Variables locales
-  integer n_lat   ! number of latitudes in the input data
-  integer n_lon   ! number of longitudes in the input data
-  integer n_lev   ! number of levels in the input data
-  integer n_month ! number of months in the input data
-  real, allocatable :: latitude(:)
-  real, allocatable :: longitude(:)
-  real, allocatable :: time(:)
-  real, allocatable :: lev(:)
-  integer i, k, band, wave
-  integer, save :: mth_pre = 1
+  INTEGER n_lat   ! number of latitudes in the input data
+  INTEGER n_lon   ! number of longitudes in the input data
+  INTEGER n_lev   ! number of levels in the input data
+  INTEGER n_month ! number of months in the input data
+  REAL, ALLOCATABLE :: latitude(:)
+  REAL, ALLOCATABLE :: longitude(:)
+  REAL, ALLOCATABLE :: time(:)
+  REAL, ALLOCATABLE :: lev(:)
+  INTEGER i, k, band, wave
+  INTEGER, save :: mth_pre = 1
   !$OMP THREADPRIVATE(mth_pre)
 
-  real, allocatable, dimension(:, :), save :: tau_aer_strat
+  REAL, ALLOCATABLE, DIMENSION(:, :), save :: tau_aer_strat
   !$OMP THREADPRIVATE(tau_aer_strat)
 
   ! Champs reconstitues
-  real, allocatable :: tauaerstrat(:, :, :, :)
-  real, allocatable :: tauaerstrat_mois(:, :, :)
-  real, allocatable :: tauaerstrat_mois_glo(:, :)
-  real, allocatable :: tau_aer_strat_mpi(:, :)
+  REAL, ALLOCATABLE :: tauaerstrat(:, :, :, :)
+  REAL, ALLOCATABLE :: tauaerstrat_mois(:, :, :)
+  REAL, ALLOCATABLE :: tauaerstrat_mois_glo(:, :)
+  REAL, ALLOCATABLE :: tau_aer_strat_mpi(:, :)
 
   ! For NetCDF:
-  integer ncid_in  ! IDs for input files
-  integer varid, ncerr
+  INTEGER ncid_in  ! IDs for input files
+  INTEGER varid, ncerr
 
   ! Stratospheric aerosols optical properties
   ! alpha_strat over the 2 bands is normalised by the 550 nm extinction coefficient
   ! alpha_strat_wave is *not* normalised by the 550 nm extinction coefficient
-  real, dimension(nbands) :: alpha_strat, piz_strat, cg_strat
+  REAL, DIMENSION(nbands) :: alpha_strat, piz_strat, cg_strat
   data alpha_strat/0.9922547, 0.7114912 /
   data piz_strat  /0.9999998, 0.99762493/
   data cg_strat   /0.73107845, 0.73229635/
-  real, dimension(nwave_sw) :: alpha_strat_wave
+  REAL, DIMENSION(nwave_sw) :: alpha_strat_wave
   data alpha_strat_wave/3.36780953, 3.34667683, 3.20444202, 3.0293026, 2.82108808/
 
@@ -66,5 +66,5 @@
   !--------------------------------------------------------
 
-  IF (.not.ALLOCATED(tau_aer_strat)) ALLOCATE(tau_aer_strat(klon, klev))
+  IF (.NOT.ALLOCATED(tau_aer_strat)) ALLOCATE(tau_aer_strat(klon, klev))
 
   !--only read file if beginning of run or start of new month
@@ -120,7 +120,7 @@
       ENDIF
 
-      IF (.not.ALLOCATED(tauaerstrat))          ALLOCATE(tauaerstrat(n_lon, n_lat, n_lev, n_month))
-      IF (.not.ALLOCATED(tauaerstrat_mois))     ALLOCATE(tauaerstrat_mois(n_lon, n_lat, n_lev))
-      IF (.not.ALLOCATED(tauaerstrat_mois_glo)) ALLOCATE(tauaerstrat_mois_glo(klon_glo, n_lev))
+      IF (.NOT.ALLOCATED(tauaerstrat))          ALLOCATE(tauaerstrat(n_lon, n_lat, n_lev, n_month))
+      IF (.NOT.ALLOCATED(tauaerstrat_mois))     ALLOCATE(tauaerstrat_mois(n_lon, n_lat, n_lev))
+      IF (.NOT.ALLOCATED(tauaerstrat_mois_glo)) ALLOCATE(tauaerstrat_mois_glo(klon_glo, n_lev))
 
       !--reading stratospheric AOD at 550 nm
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato_m.F90	(revision 5117)
@@ -31,6 +31,6 @@
 !  USE YOERAD, ONLY: NLW
   IMPLICIT NONE
-  REAL, allocatable:: latitude(:)
-  REAL, allocatable:: longitude(:)
+  REAL, ALLOCATABLE:: latitude(:)
+  REAL, ALLOCATABLE:: longitude(:)
   INTEGER :: nlat, nlon
   REAL    :: null_array(0)
@@ -74,6 +74,6 @@
 !  USE YOERAD, ONLY: NLW
   IMPLICIT NONE
-  REAL, allocatable:: latitude(:)
-  REAL, allocatable:: wav(:)
+  REAL, ALLOCATABLE:: latitude(:)
+  REAL, ALLOCATABLE:: wav(:)
   INTEGER :: nlat,n_wav
   REAL    :: null_array(0)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readchlorophyll.F90	(revision 5117)
@@ -80,7 +80,7 @@
       ENDIF
 
-      IF (.not.ALLOCATED(chlorocon))          ALLOCATE(chlorocon(n_lon, n_lat, n_month))
-      IF (.not.ALLOCATED(chlorocon_mois))     ALLOCATE(chlorocon_mois(n_lon, n_lat))
-      IF (.not.ALLOCATED(chlorocon_mois_glo)) ALLOCATE(chlorocon_mois_glo(klon_glo))
+      IF (.NOT.ALLOCATED(chlorocon))          ALLOCATE(chlorocon(n_lon, n_lat, n_month))
+      IF (.NOT.ALLOCATED(chlorocon_mois))     ALLOCATE(chlorocon_mois(n_lon, n_lat))
+      IF (.NOT.ALLOCATED(chlorocon_mois_glo)) ALLOCATE(chlorocon_mois_glo(klon_glo))
 
       !--reading stratospheric AOD at 550 nm
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5117)
@@ -9,6 +9,6 @@
 
     INTEGER klon,klev,iflag_ice_thermo
-    REAL, DIMENSION(klon,klev), INTENT(in) :: t_seri,q_seri,ql_seri,qs_seri
-    REAL, DIMENSION(klon,klev), INTENT(out) :: d_t_eva,d_q_eva,d_ql_eva,d_qs_eva
+    REAL, DIMENSION(klon,klev), INTENT(IN) :: t_seri,q_seri,ql_seri,qs_seri
+    REAL, DIMENSION(klon,klev), INTENT(OUT) :: d_t_eva,d_q_eva,d_ql_eva,d_qs_eva
 
     REAL za,zb,zdelta,zlvdcp,zlsdcp
@@ -27,5 +27,5 @@
     DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
        DO i = 1, klon
-        if (fl_cor_ebil > 0) THEN
+        IF (fl_cor_ebil > 0) THEN
           zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
           zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5117)
@@ -1,7 +1,7 @@
 MODULE regr_horiz_time_climoz_m
 
-  use lmdz_interpolation, ONLY: locate
+  USE lmdz_interpolation, ONLY: locate
   USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
-  USE nrtype, ONLY: pi
+  USE lmdz_physical_constants, ONLY: pi
   USE netcdf, ONLY: nf90_clobber, nf90_float, nf90_open, &
           nf90_nowrite, nf90_noerr, nf90_get_att, nf90_global
@@ -62,8 +62,8 @@
     USE time_phylmdz_mod, ONLY: annee_ref
     USE ioipsl, ONLY: ioget_year_len, ioget_calendar
-    USE regr_conserv_m, ONLY: regr_conserv
-    USE regr_lint_m, ONLY: regr_lint
+    USE lmdz_regr_conserv, ONLY: regr_conserv
+    USE lmdz_regr_lint, ONLY: regr_lint
     USE lmdz_regular_lonlat, ONLY: boundslon_reg, boundslat_reg, south, west, east
-    USE slopes_m, ONLY: slopes
+    USE lmdz_slopes, ONLY: slopes
     USE lmdz_xios
     USE lmdz_phys_para, ONLY: is_mpi_root, is_master, is_omp_master, gather, gather_mpi, bcast_mpi, klon_mpi
